#!/usr/bin/env python3

import sys
sys.path.append("../ServerCore")
import socket  # noqa
from JSONStreamParser import JSONStreamParser  # noqa


def ping(host, port):

    parser = JSONStreamParser()

    with socket.socket(socket.AF_INET, socket.SOCK_STREAM) as s:
        s.connect((host, port))
        s.sendall(b'{"datatype": "request_chunk","position": ["0","0","0"]}')
        while parser.isQueueEmpty():
            parser.appendRawData(s.recv(4096))

        print("received Chunk:\n", parser.popAsJSON())

        s.close()


if __name__ == "__main__":
    ping('127.0.0.1', 5050)
